# plot bvax.his using gnuplot
set terminal postscript enhanced font 'Helvetica,10' portrait
set output "bvaxsemb.ps"
set nokey
set grid
set mxtics; set mytics;
set multiplot
set yrange [100 to 300]
set xlabel "Frequency Hz"
set ylabel "Phase Velocity (m/s)"
set title "Hammer Source Offsets X to X m"
set origin 0.1,.65
set size .75,.3
#set logscale x; set logscale y;
plot "bvax.his" using 1:2:($3*1.95) w errorbars pt 6 ps .5 lc 0

set ylabel "Amplitude"
set yrange [0.0 to 1];
set title "Semblance"
set origin 0.1,.35
set size .75,.3
#set logscale x; unset logscale y;
set style fill pattern 
plot  'bvax.his' u 1:4 w filledc above y1=0
#plot  'bvax.his' u 1:4 w lines



unset multiplot

