c |$Id: pltbar.f,v 1.1.1.1 2017/09/16 19:19:46 pm Exp $          |
c --------------------------------------------------------------
c | Basic Seismic Utilities (BSU)                              |
c | LANGUAGE: Fortran77                                        |
c | AUTHOR: P. MICHAELS  http://cgiss.boisestate.edu/~pm       | 
c | PROGRAM: pltbar.f                                          |
c | DIRECTORY: bsu-2.0.2/src/sublibF4                          |
c |------------------------------------------------------------|
c |  NOTICE:                                                   |
c |  Copyright (C) 2017 Paul Michaels                          |
c |  <pm@cgiss.boisestate.edu>                                 |
c |  This program is free software; you can                    |
c |  redistribute it and/or modify it under the terms          |
c |  of the GNU General Public License as published            |
c |  by the Free Software Foundation; either version           |
c |  3 of the License, or (at your option) any later           |
c |  version.  This program is distributed in the              |
c |  hope that it will be useful, but                          |
c |  WITHOUT ANY WARRANTY; without even the implied            |
c |  warranty of MERCHANTABILITY or FITNESS FOR A              |
c |  PARTICULAR PURPOSE.  See the GNU General Public           |
c |  License for more details.                                 |
c |  You should have received a copy of the GNU                |
c |  General Public License along with this program;           |
c |  if not, write to the Free Software Foundation,            |
c |  Inc., 675 Mass Ave, Cambridge, MA 02139, USA.             |
c |------------------------------------------------------------|
c | plot progress bar to standard output                       |
c |------------------------------------------------------------|
c |  Copyright (C) 2017  P. Michaels                           |
c |         All rights reserved                                |
c |  see GNU General Public License, program bmst.f            |
c --------------------------------------------------------------
c
      subroutine pltbar(bar,invbar,ibar,jrec,ntrace)             
      data jw/-1/
      integer*1 symbol
      symbol=62
c
      if (jw.gt.50) return
c
      if (jw.eq.-1) then
c...draw a progress bar label...(corresponds to bargrid.c)
      write(*,'(1x,9(3x,i2.2),2x,i3)') (k,k=10,100,10)
      write(*,'(1x$)')
      jw=0
      endif
c
c...display progress....(corrsponds to exbar.c)
      if(bar.lt.1.) then
      do 4 jb=1,invbar
      jw=jw+1
    4 write(*,'(a$)') char(symbol)
      else
        if(mod(jrec,ibar).eq.0) then
        write(*,'(a$)') char(symbol)
        jw=jw+1
        endif
      endif
c
c...fix up roundoff
      if(jrec.eq.ntrace .and. jw.lt.50) then
      jcnt=50-jw
      do 5 jb=1,jcnt  
    5 write(*,'(a$)') char(symbol)
      endif
      return
      end
